/***************************************************************
 * Name:      nuevoproyecto.h
 * Purpose:   Defines Dialog nuevoProyecto
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-07-16
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef NUEVOPROYECTO_H
#define NUEVOPROYECTO_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/button.h>
#include <wx/sizer.h>
#include <wx/valnum.h>

#include "datos.h"

class nuevoProyecto: public wxDialog
{
    public:
        nuevoProyecto(wxWindow *wnd, datosProyecto &datos, wxString titulo);
        void OnClose(wxCloseEvent& event);

    protected:
        enum {
            idNombre = 1000,
            idNBits
        };
    private:
        wxTextCtrl* ctrlNombre;
        wxTextCtrl* ctrlNBits;
        DECLARE_EVENT_TABLE()
};

#endif // NUEVOPROYECTO_H

