/***************************************************************
 * Name:      verificar.h
 * Purpose:   Defines Dialog verificarProyecto
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-07-16
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef VERIFICARPROYECTO_H
#define VERIFICARPROYECTO_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/button.h>
#include <wx/sizer.h>
#include <wx/listctrl.h>

#include "datos.h"

class verificarProyecto: public wxDialog
{
    public:
        verificarProyecto(wxWindow *wnd, datosProyecto &datos);
        void OnClose(wxCloseEvent& event);
        wxString Salida(datosProyecto& datos);

    protected:
        enum {
            idLista = 1000
        };
    private:
        wxListCtrl* ctrlLista;
        DECLARE_EVENT_TABLE()
};

#endif // VERIFICARPROYECTO_H


