/***************************************************************
 * Name:      editarminterms.h
 * Purpose:   Defines Dialog nuevoProyecto
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-07-20
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef EDITARMINTERMS_H
#define EDITARMINTERMS_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/button.h>
#include <wx/sizer.h>
#include <wx/listctrl.h>

#include "datos.h"

class editarMinterms: public wxDialog
{
    public:
        editarMinterms(wxWindow *wnd, datosProyecto &d);
        wxString ToBinary(int n, int nbits);
        void OnSelect(wxListEvent& event);
        void OnClose(wxCloseEvent& event);
        void OnOk(wxCommandEvent& event);

    protected:
        enum {
            idMinterms = 1000
        };
    private:
        datosProyecto& datos;
        wxListCtrl* ctrlMinterms;
        DECLARE_EVENT_TABLE()
};

#endif // NUEVOPROYECTO_H


