/***************************************************************
 * Name:      minterm.cpp
 * Purpose:   Code for class minterm
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2024-07-16
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#include "minterm.h"

minterm::minterm(long int v) : valor(v), nBitsActivos(0) {
    int m = valor;

    while(m) {
        if(m & 1) nBitsActivos++;
        m >>= 1;
    }
}

