/***************************************************************
 * Name:      wx_Quine_McCluskeyApp.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-07-15
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

// TODO (Salvador): Definicin de minterms alternativa cuando hay ms de siete variables de entrada.

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wx_Quine_McCluskeyApp.h"
#include "wx_Quine_McCluskeyMain.h"

IMPLEMENT_APP(wx_Quine_McCluskeyApp);

bool wx_Quine_McCluskeyApp::OnInit()
{
    wxImage::AddHandler(new wxPNGHandler); // Trabajar con imgenes png
    wx_Quine_McCluskeyFrame* frame = new wx_Quine_McCluskeyFrame(0L, _("Quine McCluskey"));
    frame->SetIcon(wxICON(logic)); // To Set App Icon
    frame->Show();
    return true;
}
